/*
	Copyright (C) 2009-2013 Mark Tyler

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program in the file COPYING.
*/

#ifndef _mtjigsaw_main_h
#define _mtjigsaw_main_h

#include <stdint.h>
#include <unistd.h>
#include <time.h>

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include <mtgex.h>

#include "jigsaw.h"



#ifdef U_NLS
	#include <libintl.h>
	#define _(text) gettext(text)
	#define __(text) gettext(text)
#else
	#define _(text) text
	#define __(text) text
#endif



enum
{
	FS_OPEN_IMAGE		= 1
};


enum	// File selector quarks
{
	_FS_XTRA_HBOX		= 1
};

enum
{
	_GW_DUMMY,

	_GW_TOTAL
};



#define FS_SELECT_FILE			15
#define FS_SELECT_DIR			16

#define _INIFILE_LAST_DIR		"main_last_dir"
#define _INIFILE_MAIN_WINDOW		"main_window"
#define _INIFILE_MAIN_FPICK		"main_fpick"
#define _INIFILE_MAIN_FPICK_PRE		"main_"
#define _INIFILE_MAIN_NODES_HORI	"main_nodes_hori"
#define _INIFILE_MAIN_NODES_VERT	"main_nodes_vert"
#define _INIFILE_MAIN_JIGSAW_TABLE	"main_jigsaw_table"



typedef struct
{
	mtJigsaw	* jigsaw;
	mtPrefs		* prefs_file;
	char		** argv,
			* arg_filename
			;
	int		argc,
			canvas_width,
			canvas_height,
			click_button,
			click_piece_ID,
			click_x,
			click_y,
			current_table
			;
	GtkWidget	* main_window,
			* main_canvas,
			* gw[_GW_TOTAL];
} GUI_Global;



extern GUI_Global	global;



int image_load (
	char		* filename
	);

void pressed_help (
	GtkMenuItem	* menu_item,
	gpointer	user_data,
	gint		item
	);

void file_selector (
	int		action_type,
	GtkWidget	* main_window,
	mtPrefs		* prefs_file,
	char		* filename
	);



#endif		// _mtjigsaw_main_h
