/*
	Copyright (C) 2009-2010 Mark Tyler

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program in the file COPYING.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <mtkit.h>



int main (
	int		argc,
	char		* argv[]
	)
{
	int		res = 1,
			i,
			size;
	mtZip		* zip;
	void		* buf;


	if ( argc < 2 )
	{
		fprintf ( stderr,
			"Usage: %s OUTPUT_FILE.ZIP [INPUT_FILE]...\n\n",
			argv[0] );

		return 1;
	}

	zip = mtkit_zip_save_open ( argv[1] );

	if ( ! zip )
	{
		goto error;
	}

	for ( i = 2; i < argc; i++ )
	{
		buf = mtkit_file_load ( argv[i], &size, 0, NULL );
		if ( ! buf )
		{
			printf( "Unable to add '%s'\n", argv[i] );

			continue;
		}

		printf( "Adding '%s'\n", argv[i] );

		res = mtkit_zip_save_file ( zip, argv[i], buf, size, 1,
			1984, 5, 15, 23, 57, 59 );

		free ( buf );

		if ( res )
		{
			goto error;
		}
	}

error:
	res = mtkit_zip_save_close ( zip );

	fprintf ( stderr, "mtkit_file_save_zip = %i\n\n", res );

	return res;
}
