/*
	Copyright (C) 2009 Mark Tyler

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program in the file COPYING.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <mtkit.h>


static int zip_cb_load (
	char		* name,
	void		* buf,
	int32_t		buf_len,
	int32_t		year,
	int8_t		month,
	int8_t		day,
	int8_t		hour,
	int8_t		minute,
	int8_t		second,
	void		* user_data
	)
{
	char		* cp,
			c;
	int		i;


	printf ( "ZIP filename  : %s\n"
		"Mem size      : %" PRIi32 "i\n"
		"Date          : %" PRIi8 "-%" PRIi8 "-%" PRIi32 "\n"
		"Time          : %02" PRIi8 ":%02" PRIi8 ":%02" PRIi8 "\n"
		"---------------\n",
		name, buf_len,
		day, month, year,
		hour, minute, second );

	cp = buf;

	for ( i = 0; i < buf_len; i++, cp++ )
	{
		c = cp[0];

		if ( c >= 32 || c == '\n' || c == '\t' || c == '\r' )
		{
			putchar ( c );
		}
	}

	printf( "\n---------------\n\n" );

//	free ( buf );

	return 0;			// Request next file from ZIP archive
}

int main (
	int		argc,
	char		* argv[]
	)
{
	int		res;


	if ( argc < 2 )
	{
		fprintf ( stderr, "Usage: %s INPUT_FILE.ZIP\n\n", argv[0] );

		return 1;
	}

	res = mtkit_zip_load ( argv[1], zip_cb_load, NULL );
	fprintf ( stderr, "mtkit_file_load_zip = %i\n\n", res );

	return 0;
}
