#!/bin/sh
# Build and install script for all packages.
# Mark Tyler 2011-12-7


MT_flush_func()
{
	if [ "$PKG_LIST" = "" ]
	then
		PKG_LIST=$APPS
	fi

	for PKG in $PKG_LIST
	do
		cd $CWD/../$PKG-*
		./configure flush
	done
}


MT_build_app_func()
{
	# On error exit
	set -e


	echo
	echo $PKG
	echo $CONF
	echo

	cd $CWD/../$PKG-*
	$CONF
	make
	sudo make install


	# Don't exit on error
	set +e
}


MT_remove_func()
{
	# On error exit
	set -e


	REV_APPS=$( echo $PKG_LIST | tac -s " " )

	echo
	echo $REV_APPS
	echo

	for PKG in $REV_APPS
	do
		CONF=$(cat "$CWD/$BCFILE" |
			awk -F "\t" -v PKG="$PKG" '$1==PKG { print $2; exit }')

		cd $CWD/../$PKG-*


		# Don't exit on error
		set +e

		./configure flush

		# On error exit
		set -e

		$CONF
		sudo make uninstall
	done


	# Don't exit on error
	set +e
}


. ./_build_global.txt


MT_STARTUP

MT_PARSE_ARGS "$@"

MT_CREATE_BCFILE

MT_DISPLAY_INFO "Generic - ./configure, make, make install"

MT_ACTION_BUILD

